Qt 5.9 | Qt 3D | C++ Classes | QClipBlendValue

Qt 5.9.9 Reference Documentation

# QClipBlendValue Class

(Qt3DAnimation::QClipBlendValue)

Inherits: | Qt3DAnimation::QAbstractClipBlendNode

- List of all members, including inherited members

## Properties

- clip : Qt3DAnimation::QAbstractAnimationClip *

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QClipBlendValue(Qt3DCore::QNode *parent = nullptr)
| QClipBlendValue(Qt3DAnimation::QAbstractAnimationClip *clip, Qt3DCore::QNode *parent = nullptr)
| ~QClipBlendValue()
Qt3DAnimation::QAbstractAnimationClip * | clip() const

- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setClip(Qt3DAnimation::QAbstractAnimationClip *clip)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | clipChanged(Qt3DAnimation::QAbstractAnimationClip *clip)

- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QClipBlendValue(QClipBlendValuePrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### clip : Qt3DAnimation::QAbstractAnimationClip *

Access functions:

Qt3DAnimation::QAbstractAnimationClip * | clip() const
void | setClip(Qt3DAnimation::QAbstractAnimationClip *clip)

Notifier signal:

void | clipChanged(Qt3DAnimation::QAbstractAnimationClip *clip)

## Member Function Documentation

### QClipBlendValue::QClipBlendValue(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QClipBlendValue.

### QClipBlendValue::QClipBlendValue(Qt3DAnimation::QAbstractAnimationClip *clip, Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QClipBlendValue.

### `[protected]` QClipBlendValue::QClipBlendValue(QClipBlendValuePrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### QClipBlendValue::~QClipBlendValue()

Destroys the instance of QClipBlendValue.